package com.dayou.service;
import com.dayou.dto.TaskRecordDTO;
import com.dayou.entity.Personal;
import com.dayou.entity.PersonalScene;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;
/**
 * <p>
 * 个贷实勘表 服务类
 * </p>
 *
 * @author wucl
 * @since 2024-03-01
 */
public interface IPersonalSceneService extends IService<PersonalScene> {

        Page<PersonalScene> selectPage(Page page,PersonalScene personalScene);

        PersonalScene detail(Long personalId);

        Boolean add(PersonalScene personalScene);

        Boolean update(PersonalScene personalScene);

        Boolean delete(Long id);

    Boolean saveSceneInfo(TaskRecordDTO<PersonalScene> taskRecordDTO);
}
